@echo off
@SETLOCAL

@REM Set up the environment
set currdir=%~dp0

@REM Print Help infomation if no parameters are setted.
if '%1' =='' (
	goto HELP
)
@REM Print Help infomation
if '%1' =='--help' (
	goto HELP
)

if '%4' == '' (
  echo Not enough arguments.
  goto HELP
)

if '%2%' == 'true' set result=true
if '%2%' == 'false' set result=true


if  NOT '%result%' == 'true' (
  echo "Valid values for CHECK_ONLY - true|false"
  goto HELP
)
set TIP_HOME=%1
set tipadmin=%3
set tippass=%4

if not exist %TIP_HOME% (
      echo Can not find TIP home %TIP_HOME%
      goto HELP
)

if exist %TIP_HOME%\profiles\TIPProfile (
	set TIP_PROFILE_HOME=%TIP_HOME%\profiles\TIPProfile
)

if not exist %TIP_PROFILE_HOME% (
      echo Can not find TIP home %TIP_PROFILE_HOME%
      goto HELP
)
setlocal EnableDelayedExpansion

if '%2' == 'false' (
echo Checking to see if the TIP server has been stopped...
%TIP_PROFILE_HOME%\bin\serverstatus.bat server1 -user "%tipadmin%" -password "%tippass%" | findstr /i started 1>nul 2>&1
if !errorlevel! == 0 (
  echo "TIP server needs to be stopped before running this tool"
  goto HELP  
)
)

if exist %TIP_PROFILE_HOME%\config\cells\TIPCell\applications\isclite.ear\deployments\isclite\isclite.war\WEB-INF (
	set CONFIG_PATH=%TIP_PROFILE_HOME%\config\cells\TIPCell\applications\isclite.ear\deployments\isclite\isclite.war\WEB-INF
	set CLASSPATH=%currdir%\..\lib\FixConfiguration.jar;%currdir%\..\lib\jdom.jar;%TIP_HOME%\plugins\com.ibm.ws.portletcontainer.jar;%TIP_HOME%\systemApps\isclite.ear\isclite.jar
)

if exist %TIP_PROFILE_HOME%\config\cells\TIPCell\applications\isc.ear\deployments\isc\isclite.war\WEB-INF (
	set CONFIG_PATH=%TIP_PROFILE_HOME%\config\cells\TIPCell\applications\isc.ear\deployments\isc\isclite.war\WEB-INF
	set CLASSPATH=%currdir%\..\lib\FixConfiguration.jar;%currdir%\..\lib\jdom.jar;%TIP_HOME%\plugins\com.ibm.ws.portletcontainer.jar;%TIP_PROFILE_HOME%\installedApps\TIPcell\isc.ear\isclite.jar
)

set CHECK_ONLY=%2

"%TIP_HOME%\java\bin\java"  -classpath %CLASSPATH% com.ibm.isclite.config.util.FixConfiguration %CONFIG_PATH% %CHECK_ONLY%


goto ENDLOCAL

:HELP
echo Uagae of fixConfiguration.bat
echo Syntax     : fixConfiguration.bat TIP_HOME CHECK_ONLY TIPADMIN TIPPASS
echo For example: fixConfiguration.bat C:\IBM\tivoli\tip true tipadmin tippass

echo ---------
echo TIP_HOME is the path where TIP is installed
echo "CHECK_ONLY is a flag indicating whether the configuration need to be checked or fixed. Valid values are true|false. true for checking and false for checking and fixing."
echo TIPADMIN is the tipadmin username
echo TIPPASS is the password for tipadmin
echo --help         prints this help

if '%1' == '--help' (
    exit /b 0
)
:ENDLOCAL
exit /b -1