#!/bin/sh
if [ $# != 4 ]; then
  error_usage
fi

tiphome=$1
checkflag=$2
tipadmin=$3
tippass=$4
ihome=`pwd`


error_usage() {

        echo
        echo "Uagae of fixConfiguration.sh"
        echo "Syntax     : fixConfiguration.sh TIP_HOME CHECK_ONLY TIPADMIN TIPPASS"
        echo "For example: fixConfiguration.sh /opt/IBM/tivoli/tip true tipadmin tippass"

        echo "---------"
        echo "TIP_HOME is the path where TIP is installed"
        echo "CHECK_ONLY is a flag indicating whether the configuration need to be checked or fixed. Valid values are true|false. true for checking and false for checking and fixing."
        echo "TIPADMIN is the tipadmin username"
        echo "TIPPASS is the password for tipadmin"
        echo "--help         prints this help"

    exit 1
}

if [ ! -d "$tiphome" ]; then
  echo "Can not find TIP home $tiphome"
  error_usage
fi
if [ "$checkflag" != "true" ];  then
   if [ "$checkflag" != "false" ];  then
        echo "Valid values for CHECK_ONLY - true|false"
         error_usage
   fi
fi


if [ "$checkflag" == "false" ]; then
echo "Checking to see if the TIP server has been stopped..."
"$tiphome/profiles/TIPProfile/bin/serverStatus.sh"  server1 -user "$tipadmin" -password "$tippass"  | grep ADMU0509I >/dev/null 2>&1
if [ "$?" != "0" ]; then
  echo "Make sure TIP is stopped before running this tool.." 
   error_usage
fi
fi
tipprofilehome=$tiphome/profiles/TIPProfile
if [ -d "$tipprofilehome/config/cells/TIPCell/applications/isclite.ear/deployments/isclite/isclite.war/WEB-INF" ]; then
export CONFIG_PATH=$tipprofilehome/config/cells/TIPCell/applications/isclite.ear/deployments/isclite/isclite.war/WEB-INF
export CLASSPATH="$ihome/../lib/FixConfiguration.jar:$ihome/../lib/jdom.jar:$tiphome/plugins/com.ibm.ws.portletcontainer.jar:$tiphome/systemApps/isclite.ear/isclite.jar"
fi

if [ -d "$tipprofilehome/config/cells/TIPCell/applications/isc.ear/deployments/isc/isclite.war/WEB-INF" ]; then
export CONFIG_PATH=$tipprofilehome/config/cells/TIPCell/applications/isc.ear/deployments/isc/isclite.war/WEB-INF
export CLASSPATH="$ihome/../lib/FixConfiguration.jar:$ihome/../lib/jdom.jar:$tiphome/plugins/com.ibm.ws.portletcontainer.jar:$tipprofilehome/installedApps/TIPCell/isc.ear/isclite.jar"
fi
CHECK_ONLY=$checkflag

"$tiphome/java/bin/java"  -classpath "$CLASSPATH" com.ibm.isclite.config.util.FixConfiguration $CONFIG_PATH $CHECK_ONLY

exit 0
