@echo off
@SETLOCAL

@REM Set up the environment
set currdir=%~dp0

@REM Print Help infomation if no parameters are setted.
if '%1' =='' (
	goto HELP
)
@REM Print Help infomation
if '%1' =='--help' (
	goto HELP
)

if '%4' == '' (
  echo Not enough arguments.
  goto HELP
)

if '%4%' == 'true' set result=true
if '%4%' == 'false' set result=true


if  NOT '%result%' == 'true' (
  echo "Valid values for CHECK_ONLY - true|false"
  goto HELP
)
set CONFIG_PATH=%1
set TIP_VERSION=%2
set JAVA_PATH=%3

if not exist %CONFIG_PATH% (
      echo Can not find Configuraiton Path %CONFIG_PATH%
      goto HELP
)

if '%TIP_VERSION%' == '1.1' set version=true
if '%TIP_VERSION%' == '2.1' set version=true
if '%TIP_VERSION%' == '2.2' set version=true

if  NOT '%version%' == 'true' (
  echo "Valid values for TIP_VERSION - 1.1|2.1|2.2"
  goto HELP
)

if not exist %JAVA_PATH%\bin (
      echo Can not find Java Path %JAVA_PATH%
      goto HELP
)
if '%TIP_VERSION%' == '1.1'  (	
	set CLASSPATH=%currdir%\..\lib\FixConfiguration.jar;%currdir%\..\lib\jdom.jar;%currdir%\..\lib\1.1\com.ibm.ws.portletcontainer.jar;%currdir%\..\lib\1.1\isclite.jar
)
if '%TIP_VERSION%' == '2.1' (
	set CLASSPATH=%currdir%\..\lib\FixConfiguration.jar;%currdir%\..\lib\jdom.jar;%currdir%\..\lib\2.1\com.ibm.ws.portletcontainer.jar;%currdir%\..\lib\2.1\isclite.jar
)
if '%TIP_VERSION%' == '2.2' (
	set CLASSPATH=%currdir%\..\lib\FixConfiguration.jar;%currdir%\..\lib\jdom.jar;%currdir%\..\lib\2.1\com.ibm.ws.portletcontainer.jar;%currdir%\..\lib\2.1\isclite.jar
)

echo %CLASSPATH%
set CHECK_ONLY=%4

%JAVA_PATH%\bin\java  -classpath %CLASSPATH% com.ibm.isclite.config.util.FixConfiguration %CONFIG_PATH% %CHECK_ONLY%


goto ENDLOCAL

:HELP
echo Usage of fixConfigurationExt.bat
echo Syntax     : fixConfigurationExt.bat CONFIG_PATH TIP_VERSION JAVA_PATH CHECK_ONLY
echo For example: fixConfigurationExt.bat C:\ConfigFiles 2.1 C:\IBM\tivoli\tip\java true

echo ---------
echo "CONFIG_PATH is the path where the configuration files are copied to"
echo "TIP_VERSION is the version of TIP from where the configuration files are copied from - Valid values are 1.1|2.1|2.2"
echo "JAVA_PATH is the path where Java is installed"
echo "CHECK_ONLY is a flag indicating whether the configuration need to be checked or fixed. Valid values are true|false. true for checking and false for checking and fixing."
echo --help         prints this help

if '%1' == '--help' (
    exit /b 0
)
:ENDLOCAL
exit /b -1